package Cuitter::Plugin::Aliases;
use Mouse::Role;

requires qw( set_help com_help com_ft com_exit );

sub _init_Aliases {
    my $self = shift;
    $self->set_help( 'h', 'alias to /help' );
    $self->set_help( 'tl', 'alias to /ft' );
    $self->set_help( 'q', 'alias to /exit' );
    $self->set_help( 'quit', 'alias to /exit' );
    $self->set_help( 'bye', 'alias to /exit' );
    $self->set_help( 'sayonara', 'alias to /exit' );
}

sub com_tl { shift->com_ft }
sub com_h { shift->com_help }
sub com_q { shift->com_exit }
sub com_quit { shift->com_exit }
sub com_bye { shift->com_exit }
sub com_sayonara { shift->com_exit }

no Mouse::Role;
1;
__END__
